<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        //1
        function range(min, max) {
            var len = max - min + 1;
            var arr = new Array(len);
            for (var i=0; i<len; i++) {
                arr[i] = min + i;
            }
            return arr;
        }
        console.log("tao mang khoang tu 1 den 10: " + range(1,10));
        
        //2
        var a = [1, 2, 3], b = [101, 2, 1, 10]
        var c = a.concat(b.filter((item) => a.indexOf(item) < 0))
        console.log(c);

        var d = [1, 2, 3], e = [1, 2, 3]
        var f = d.concat(e.filter((item) => d.indexOf(item) < 0))
        console.log(f);
        
        //3
        /*Tạo hàm đếm số lần xuất hiện của một phần tử trong mảng JavaScript*/
            function count_element_in_array(array, x){
                var count = 0;
                for(var i=0;i<array.length;i++){
                if(array[i]==x) //Tìm thấy phần tử giống x trong mảng thì cộng biến đếm
                    count ++;
                }
                console.log( "Phan tu " +  x  + " xuat hien " + count +  " lan");
            }

            var array = [ 1,2,1,4,5,1,1,3,1 ];

            count_element_in_array(array, 1);
            count_element_in_array(array, 2);

        //4 tổng phần tử trong mảng
        var num = [1,2,3,4,5,6];
        var sum = 0;
        for (var i = 0; i < num.length;i++){
            sum += num[i];
        }
        console.log("Tổng của "+ num + " = " + sum); 
    </script>
</body>
</html>